## libsoup3 3.6.0

=== debian/changelog ===
libsoup3 (3.6.0-3) unstable; urgency=medium

  * Add Build-Depends: ca-certificates for build tests
    (Closes: #1064744, #1054962)
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 31 Oct 2024 11:05:08 +0100

libsoup3 (3.6.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Remove unused python3 & python3-quart dependencies (Closes: #1080044)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 31 Aug 2024 08:30:58 -0400

libsoup3 (3.6.0-1) unstable; urgency=medium

  * New upstream release
  * Remove 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Aug 2024 06:57:51 -0400

libsoup3 (3.5.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libsoup-3.0-0.symbols: Add new symbols
  * Bump minimum glib
  * Fix nocheck build
  * Cherry-pick some additional fixes
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 18:27:30 -0400
