=== debian/control ===
Source: libsoup3
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: apache2 <!nocheck> <!noinsttest>,
               ca-certificates <!nocheck> <!noinsttest>,
               curl <!nocheck> <!noinsttest>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-gio-2.0-dev,
               glib-networking,
               gi-docgen,
               libapache2-mod-php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
               libapache2-mod-php [!i386] <!nocheck> <!noinsttest>,
               libbrotli-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.70),
               libgnutls28-dev,
               libkrb5-dev,
               libnghttp2-dev,
               libnss-myhostname [linux-any] <!nocheck>,
               libpsl-dev,
               libsqlite3-dev,
               libsysprof-capture-4-dev [linux-any],
               meson,
               php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
               php [!i386] <!nocheck> <!noinsttest>,
               valac,
               winbind
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3
Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git
Homepage: https://gnome.pages.gitlab.gnome.org/libsoup/libsoup-3.0/index.html
Rules-Requires-Root: no

Package: libsoup-3.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-soup-3.0 (= ${binary:Version}),
         libbrotli-dev,
         libglib2.0-dev (>= 2.70),
         libnghttp2-dev,
         libpsl-dev,
         libsoup-3.0-0 (= ${binary:Version}),
         libsqlite3-dev,
         libsysprof-capture-4-dev [linux-any],
         zlib1g-dev,
         ${gir:Depends},
         ${misc:Depends}
Suggests: libsoup-3.0-doc
Provides: ${gir:Provides}
Description: HTTP library implementation in C -- Development files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP support
 .
 This package contains the development files.

Package: libsoup-3.0-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: glib-networking,
         libsoup-3.0-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: HTTP library implementation in C -- Shared library
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP support
 .
 This package contains the shared library.

Package: libsoup-3.0-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: HTTP library implementation in C -- Common files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 This package contains architecture-independent files such as translations.

Package: libsoup-3.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Suggests: libsoup-3.0-dev
Description: HTTP library implementation in C -- API Reference
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP support
 .
 This package contains the documentation.

Package: gir1.2-soup-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for the libsoup HTTP library
 This package contains introspection data for the libsoup HTTP library.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libsoup-3.0-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Depends: apache2,
         curl,
         libapache2-mod-php (<< 2:9) [!i386],
         libapache2-mod-php [!i386],
         libnss-myhostname [linux-any],
         php [!i386],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-desktop-testing
Description: HTTP library implementation in C -- installed tests
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 This package contains automated tests, mostly for use via autopkgtest.
 They can most easily be invoked via the gnome-desktop-testing-runner
 tool in the gnome-desktop-testing package.
