## libsoup3 3.6.1

=== debian/changelog ===
libsoup3 (3.6.1-1) unstable; urgency=medium

  * New upstream release
  * Remove 6 patches applies in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 09:06:51 -0500

libsoup3 (3.6.0-4) unstable; urgency=medium

  * d/patches: Add bug fixes from upstream
    - d/p/server-Add-note-about-recommended-usage.patch:
      Document the level of security support for the server side.
      Upstream has clarified the documentation to state that SoupServer
      is not intended to be exposed to untrusted clients.
      (Related to CVE-2024-52531, CVE-2024-52532)
    - d/p/headers-Be-more-robust-against-invalid-input-when-parsing.patch:
      Fix a buffer overrun if asked to parse non-UTF-8 headers. It is
      believed that this cannot happen on the client side, but it can
      happen in SoupServer. (CVE-2024-52531, Closes: #1087417)
    - d/p/tests-Add-test-for-passing-invalid-UTF-8-to-soup_header_p.patch:
      Add a test-case for the above
    - d/p/websocket-process-the-frame-as-soon-as-we-read-data.patch:
      Avoid an infinite loop in WebSocket processing
      (CVE-2024-52532, Closes: #1087416)
    - d/p/websocket-test-disconnect-error-copy-after-the-test-ends.patch:
      Fix a test failure after resolving CVE-2024-52532
  * d/p/websocket-test-Disconnect-error-signal-in-another-place.patch:
    Add proposed patch to fix another intermittent test failure after
    resolving CVE-2024-52532
  * d/control: libsoup-3.0-tests Depends on ca-certificates.
    Related to #1054962, #1064744
  * d/libsoup-3.0-doc.links: Register reference manual with devhelp
  * d/libsoup-3.0-doc.links: Create symlinks in
    /usr/share/doc/libsoup-3.0-{dev,doc} to make the HTML documentation
    more discoverable

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Nov 2024 14:50:50 +0000
