## libsoup3 3.6.4

=== debian/changelog ===
libsoup3 (3.6.4-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Increase build test timeout, for riscv64 (Closes: #1093564)

  [ Jeremy Bícha ]
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 13:23:32 -0500

libsoup3 (3.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 17:58:00 -0500
