=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: apache2 <!nocheck> <!noinsttest>,
+Uploaders: Iain Lane <laney@debian.org>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
+           Sebastien Bacher <seb128@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
+               apache2 <!nocheck> <!noinsttest>,
                ca-certificates <!nocheck> <!noinsttest>,
                curl <!nocheck> <!noinsttest>,
-               debhelper-compat (= 13),
-               dh-sequence-gir,
-               dh-sequence-gnome,
+               gi-docgen,
                gir1.2-gio-2.0-dev,
                glib-networking,
-               gi-docgen,
                libapache2-mod-php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
-               libapache2-mod-php [!i386] <!nocheck> <!noinsttest>,
                libbrotli-dev,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.70),
@@ -26,7 +27,6 @@
                libsysprof-capture-4-dev [linux-any],
                meson,
                php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
-               php [!i386] <!nocheck> <!noinsttest>,
                valac,
                winbind
 Standards-Version: 4.7.0
@@ -107,7 +107,7 @@
 Package: libsoup-3.0-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: HTTP library implementation in C -- Common files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -148,9 +148,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: GObject introspection data for the libsoup HTTP library
  This package contains introspection data for the libsoup HTTP library.
  .
@@ -168,6 +166,7 @@
 Section: misc
 Architecture: any
 Depends: apache2,
+         ca-certificates,
          curl,
          libapache2-mod-php (<< 2:9) [!i386],
          libapache2-mod-php [!i386],
