=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                gi-docgen,
                gir1.2-gio-2.0-dev,
                glib-networking,
+               gobject-introspection (>= 1.80),
                libapache2-mod-php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
                libbrotli-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.70),
                libgnutls28-dev,
                libkrb5-dev,
@@ -29,10 +29,10 @@
                php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
                valac,
                winbind
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git
-Homepage: https://gnome.pages.gitlab.gnome.org/libsoup/libsoup-3.0/index.html
+Homepage: https://libsoup.gnome.org/libsoup-3.0/index.html
 Rules-Requires-Root: no
 
 Package: libsoup-3.0-dev
@@ -42,6 +42,7 @@
 Depends: gir1.2-soup-3.0 (= ${binary:Version}),
          libbrotli-dev,
          libglib2.0-dev (>= 2.70),
+         libkrb5-dev,
          libnghttp2-dev,
          libpsl-dev,
          libsoup-3.0-0 (= ${binary:Version}),
