=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

# Explicitly disable this plugin which defaults to enabled
# unless we're on linux architectures.
ifeq (linux,$(DEB_HOST_ARCH_OS))
SYSPROF = -Dsysprof=enabled
else
SYSPROF = -Dsysprof=disabled
endif

# Some features are needed whenever we have build-time *or* installed tests
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter %-tests,$(built_binaries)),nocheck)
test_features = enabled
else
test_features = disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dautobahn=disabled \
		-Dinstalled_tests=true \
		-Dpkcs11_tests=$(test_features) \
		$(SYSPROF)

override_dh_auto_test-arch:
	dh_auto_test -- --timeout-multiplier 6 --verbose

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/libsoup*/*.so
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_gnome_clean:
	dh_gnome_clean --no-control
