## libsoup3 3.6.6

=== debian/changelog ===
libsoup3 (3.6.6-1) unstable; urgency=high

  * New upstream release
    - SECURITY UPDATE: Integer overflow introduced by CVE-2025-32052 fix
      when resource_length=0
      - CVE-2026-2369 (Closes: #1127843)
    - SECURITY UPDATE: Out-of-bounds read in libsoup handle_partial_get()
      leading to heap information disclosure
      - CVE-2026-2443 (Closes: #1127905)
  * Remove patches applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Feb 2026 18:24:11 -0500

libsoup3 (3.6.5-9) unstable; urgency=high

  * SECURITY UPDATE: Out-of-bounds read
    - debian/patches/CVE-2026-0716-pre1.patch: websocket: do not
      accept messages frames after closing due to an error
    - debian/patches/CVE-2026-0716.patch: websocket: Fix out-of-bounds
      read in process_frame
      - CVE-2026-0716 (Closes: #1125156)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Feb 2026 17:00:07 -0500

libsoup3 (3.6.5-8) unstable; urgency=high

  [ Bruce Cable ]
  * SECURITY UPDATE: Carriage Return Line Feed Injection
    - debian/patches/CVE-2026-1467.patch: Do host validation when checking if
      a GUri is valid
      - CVE-2026-1467 (Closes: #1126548)
    - debian/patches/CVE-2026-1536.patch: Always validate the headers value
      when coming from untrusted source
      - CVE-2026-1536 (Closes: #1126627)
  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2026-1539.patch: Also remove Proxy-Authorization
      header on cross origin redirect
    - CVE-2026-1539 (Closes: #1126628)

  [ Jeremy Bícha ]
  * SECURITY UPDATE: HTTP Request smuggling vulnerability
    - debian/patches/CVE-2026-1760.patch: Close the connection after
      responding to a request containing Content-Length and Transfer-Encoding
      - CVE-2026-1760 (Closes: #1126876)
  * SECURITY UPDATE: Stack-based buffer overflow vulnerability
    - debian/patches/CVE-2026-1761.patch: Make sure read length is smaller
      than buffer length when boundary is found
      - CVE-2026-1761 (Closes: #1126877)
  * SECURITY UPDATE: HTTP Request smuggling vulnerability
    - debian/patches/CVE-2026-1801-pre1.patch: Correct chunked trailers
       end detection
    - debian/patches/CVE-2026-1801.patch: Use CRLF as line boundary
      when parsing chunked encoding data
      - CVE-2026-1801

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Feb 2026 16:42:19 -0500

libsoup3 (3.6.5-7) unstable; urgency=high

  * SECURITY UPDATE: Cherry-pick upstream fix to reject duplicate Host headers
    - CVE-2025-14523 (Closes: #1122667)
  * Add patch to fix tests after changes to the public suffix list
    (LP: #2138374)
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Jan 2026 12:34:38 -0500

libsoup3 (3.6.5-6) unstable; urgency=high

  [ Hlib Korzhynskyy ]
  * SECURITY UPDATE: Use after free in HTTP/2 queues
    - debian/patches/CVE-2025-12105.patch: Add SOUP_MESSAGE_FINISHED checks in
      libsoup/soup-session.c
    - CVE-2025-12105 (Closes: #1118783)

  [ Jeremy Bícha ]
  * Override dh_gnome to avoid build log warnings
  * Remove obsolete dh_gnome_clean override
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Dec 2025 09:35:43 -0500

libsoup3 (3.6.5-5) unstable; urgency=high

  * SECURITY UPDATE: Out of bounds read
    - CVE-2025-11021-1.patch, CVE-2025-11021-2.patch:
      Cherry-pick upstream patches to fix out-of-bounds read in
      libsoup/cookies/soup-cookie.c via soup_date_time_to_string()
    - CVE-2025-11021 (Closes: #1116469)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Nov 2025 16:36:49 -0500
