=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: libsoup3
+Standards-Version: 4.7.3
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Section: devel
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>,
-           Jeremy Bícha <jbicha@ubuntu.com>,
-           Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,7 +15,7 @@
                gobject-introspection (>= 1.80),
                libapache2-mod-php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
                libbrotli-dev,
-               libglib2.0-dev (>= 2.70),
+               libglib2.0-dev,
                libgnutls28-dev,
                libkrb5-dev,
                libnghttp2-dev,
@@ -29,19 +27,16 @@
                php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
                valac,
                winbind
-Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup3
 Vcs-Git: https://salsa.debian.org/gnome-team/libsoup3.git
 Homepage: https://libsoup.gnome.org/libsoup-3.0/index.html
-Rules-Requires-Root: no
 
 Package: libsoup-3.0-dev
-Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-soup-3.0 (= ${binary:Version}),
-         libbrotli-dev,
-         libglib2.0-dev (>= 2.70),
+Section: libdevel
+Depends: libbrotli-dev,
+         libglib2.0-dev,
          libkrb5-dev,
          libnghttp2-dev,
          libpsl-dev,
@@ -76,9 +71,9 @@
  This package contains the development files.
 
 Package: libsoup-3.0-0
-Section: libs
 Architecture: any
 Multi-Arch: same
+Section: libs
 Depends: glib-networking,
          libsoup-3.0-common,
          ${misc:Depends},
@@ -117,9 +112,9 @@
  This package contains architecture-independent files such as translations.
 
 Package: libsoup-3.0-doc
-Section: doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Recommends: libglib2.0-doc
 Suggests: libsoup-3.0-dev
@@ -146,10 +141,10 @@
  This package contains the documentation.
 
 Package: gir1.2-soup-3.0
-Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Section: introspection
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for the libsoup HTTP library
  This package contains introspection data for the libsoup HTTP library.
  .
@@ -163,9 +158,9 @@
  dynamic bindings.
 
 Package: libsoup-3.0-tests
+Architecture: any
 Build-Profiles: <!noinsttest>
 Section: misc
-Architecture: any
 Depends: apache2,
          ca-certificates,
          curl,
